MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032000Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-12-16 10:442020-12-19 15:22
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032000: Foundation Classes - collect OSD_Timer time in message report
DescriptionIt's proposed to enrich MessagE_MetricType with Message_MetricType_WallClock, which collect start/stop time of OSD_Timer in Message_AttributeMeter.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0097639)
git (administrator)
2020-12-16 12:36

Branch CR32000 has been created by nds.

SHA-1: 7a0af994f024fa1c79e3d9c8013df3acb0a1ff59


Detailed log of new commits:

Author: nds
Date: Wed Dec 16 12:29:06 2020 +0300

    0032000: Foundation Classes - collect OSD_Timer time in message report
    
    - add Message_MetricType_WallClock metric type;
    - extend Message_AttributeMeter to collect implemented metric type information;
    - add public StartTime() method in OSD_Timer.
(0097657)
nds (developer)
2020-12-17 11:05

Dear Kirill,
could you please review it.
Jenkins branch is: http://jenkins-test-12.nnov.opencascade.com/view/CR32000-master-nds/. [^]

Best regards, Natalia
(0097663)
kgv (developer)
2020-12-17 11:26

Natalia, OSD_Timer::StartTime() property looks confusing, providing some internal implementation details.

Please instead add a static method OSD_Timer::WallClockTime() calling an internal method GetWallClockTime() in OSD_Timer.cxx.
(0097667)
git (administrator)
2020-12-17 11:47

Branch CR32000 has been updated forcibly by nds.

SHA-1: f424975c0aeb30352cc81358f36c6d0a0174d512
(0097668)
nds (developer)
2020-12-17 11:48

Corrected, please have a look.
(0097669)
git (administrator)
2020-12-17 12:22

Branch CR32000 has been updated by kgv.

SHA-1: 09dd64bf964ca8648f0d65254c5e431699f67692


Detailed log of new commits:

Author: kgv
Date: Thu Dec 17 12:23:16 2020 +0300

    # cosmetics

(0097670)
git (administrator)
2020-12-17 12:24

Branch CR32000_1 has been created by kgv.

SHA-1: c7cc7cb15344bb75770dcc376ac96590682631e1


Detailed log of new commits:

Author: nds
Date: Wed Dec 16 12:29:06 2020 +0300

    0032000: Foundation Classes - collect OSD_Timer time in message report
    
    Added Message_MetricType_WallClock metric type handled by Message_AttributeMeter.
    Added public OSD_Timer::GetWallClockTime() method.
(0097671)
git (administrator)
2020-12-17 12:33

Branch CR32000_1 has been updated forcibly by kgv.

SHA-1: 2554ee0689cd01a840f9a10cc50ccdcae1237770
(0097678)
kgv (developer)
2020-12-17 13:44

Please raise the patch (with applied remarks)
- OCCT branch: CR32000_1.
(0097751)
bugmaster (administrator)
2020-12-19 14:50

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097767)
git (administrator)
2020-12-19 15:21

Branch CR32000_1 has been deleted by inv.

SHA-1: 2554ee0689cd01a840f9a10cc50ccdcae1237770
(0097768)
git (administrator)
2020-12-19 15:22

Branch CR32000 has been deleted by inv.

SHA-1: 09dd64bf964ca8648f0d65254c5e431699f67692

- Related Changesets
occt: master 9283bba2
Timestamp: 2020-12-16 09:29:06
Author: nds
Committer: bugmaster
Details ] Diff ]
0032000: Foundation Classes - collect OSD_Timer time in message report

Added Message_MetricType_WallClock metric type handled by Message_AttributeMeter.
Added public OSD_Timer::GetWallClockTime() method.
mod - src/Message/Message.cxx Diff ] File ]
mod - src/Message/Message_AttributeMeter.cxx Diff ] File ]
mod - src/Message/Message_MetricType.hxx Diff ] File ]
mod - src/OSD/OSD_Timer.cxx Diff ] File ]
mod - src/OSD/OSD_Timer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-16 10:44 nds New Issue
2020-12-16 10:44 nds Assigned To => abv
2020-12-16 10:45 nds Assigned To abv => nds
2020-12-16 12:36 git Note Added: 0097639
2020-12-17 11:05 nds Note Added: 0097657
2020-12-17 11:05 nds Assigned To nds => kgv
2020-12-17 11:05 nds Status new => resolved
2020-12-17 11:26 kgv Note Added: 0097663
2020-12-17 11:26 kgv Assigned To kgv => nds
2020-12-17 11:26 kgv Status resolved => assigned
2020-12-17 11:47 git Note Added: 0097667
2020-12-17 11:48 nds Note Added: 0097668
2020-12-17 11:48 nds Assigned To nds => kgv
2020-12-17 11:48 nds Status assigned => resolved
2020-12-17 12:22 git Note Added: 0097669
2020-12-17 12:24 git Note Added: 0097670
2020-12-17 12:33 git Note Added: 0097671
2020-12-17 13:44 kgv Note Added: 0097678
2020-12-17 13:44 kgv Assigned To kgv => bugmaster
2020-12-17 13:44 kgv Status resolved => reviewed
2020-12-19 14:50 bugmaster Note Added: 0097751
2020-12-19 14:50 bugmaster Status reviewed => tested
2020-12-19 15:01 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 9283bba2
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:21 git Note Added: 0097767
2020-12-19 15:22 git Note Added: 0097768


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker